Niveau
..........
En rapport...

Les commentaires utilisable selon les version D'IE

Voici comment intégré du code qui ne s'affichera que selon la version d'ie du visiteur.

html4strict
 
<!--[if gte IE 5]>
 pour réserver le contenu à IE 5.0 et version plus récentes (actuellement E5.5, IE6.0 et IE7.0) <![endif]-->
 
<!--[if IE 5.0]>
 pour IE 5.0 <![endif]-->
 
<!--[if IE 5.5000]>
 pour IE 5.5 <![endif]-->
 
<!--[if IE 6]>
 pour IE 6.0 <![endif]-->
 
<!--[if gte IE 5.5000]>
 pour IE5.5 et supérieur <![endif]-->
 
<!--[if lt IE 6]>
 pour IE5.0 et IE5.5 <![endif]-->
 
<!--[if lt IE 7]>
 pour IE inférieur à IE7 <![endif]-->
 
<!--[if lte IE 6]>
 pour IE5.0, IE5.5 et IE6.0 mais pas IE7.0<![endif]-->
 
<!--[if IE]>
 pour IE, toutes versions confondue<![endif]-->

Exemple

html4strict
<!--[if IE 6]>

<link type="text/css" href="ie6.css" ></link>
<![endif]-->

source


22/11/2007 11:12 -

ManiT4c
Gérant et chef de projet de l'agence web Op'art, je suis également webmaster freelance. Retrouvez moi également sur twitter.